Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wsc
Interface Registrar

public interface Registrar

Method Summary
`void` | `install(java.lang.String protocolIdentifier)` Called when a registrar is added to a register mapper.
`com.arjuna.webservices.wsaddr.EndpointReferenceType` | `register(com.arjuna.webservices.wsaddr.EndpointReferenceType participantProtocolService, java.lang.String protocolIdentifier, com.arjuna.webservices.wsarj.InstanceIdentifier instanceIdentifier)` Registers the interest of participant in a particular protocol.
`void` | `uninstall(java.lang.String protocolIdentifier)` Called when a registrar is removed from a register mapper.

Method Detail

### install

    public void install(java.lang.String protocolIdentifier)

  Called when a registrar is added to a register mapper. This method will be called multiple times if the registrar is added to multiple register mappers or to the same register mapper with different protocol identifiers.

  Parameters:
    `protocolIdentifier` - the protocol identifier

### register

    public com.arjuna.webservices.wsaddr.EndpointReferenceType register(com.arjuna.webservices.wsaddr.EndpointReferenceType participantProtocolService,
                                                                        java.lang.String protocolIdentifier,
                                                                        com.arjuna.webservices.wsarj.InstanceIdentifier instanceIdentifier)
                                                                 throws AlreadyRegisteredException,
                                                                        InvalidProtocolException,
                                                                        InvalidStateException,
                                                                        NoActivityException

  Registers the interest of participant in a particular protocol.

  Parameters:
    `protocolIdentifier` - the protocol identifier
    `instanceIdentifier` - the instance identifier, this may be null
  Returns:
    the port reference of the coordinator protocol service
  Throws:
    `AlreadyRegisteredException` - if the participant is already registered for this coordination protocol under this activity identifier
    `InvalidProtocolException` - if the coordination protocol is not supported
    `InvalidStateException` - if the state of the coordinator no longer allows registration for this coordination protocol
    `NoActivityException` - if the actvity does not exist

### uninstall

    public void uninstall(java.lang.String protocolIdentifier)

  Called when a registrar is removed from a register mapper. This method will be called multiple times if the registrar is removed from multiple register mappers or from the same register mapper with different protocol identifiers.

  Parameters:
    `protocolIdentifier` - the protocol identifier

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD